Groups - Delete
Removes a VSTS group from all of its parent groups.
The group will still be visible, but membership checks for the group, and all descendants which derive membership through it, will return false.”
DELETE https://vssps.dev.azure.com/{organization}/_apis/graph/groups/{groupDescriptor}?api-version=5.0-preview.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
group
|
path | True |
string |
The descriptor of the group to delete. |
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '5.0-preview.1' to use this version of the api. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.graph_manage | Grants the ability to read user, group, scope and group membership information, and to add users, groups and manage group memberships |
Examples
Sample request
DELETE https://vssps.dev.azure.com/fabrikam/_apis/graph/groups/{groupDescriptor}?api-version=5.0-preview.1